import { ConfigProvider } from "ant-design-vue";
import { defineComponent } from "vue";
import { LoadingProvider } from "./Loading";
import { ModalProvider } from "./Modal";

export const Provider = defineComponent((props, { slots }) => {
  return () => (
    <ConfigProvider>
      {slots.default?.()}
      <ModalProvider />
      <LoadingProvider />
    </ConfigProvider>
  );
});
